## python-oslo.config 4.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

debtcollector>=1.2.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
PyYAML>=3.10.0 # MIT

=== debian/changelog ===
python-oslo.config (1:4.11.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 14:58:07 +0000

python-oslo.config (1:4.11.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 16:38:36 -0400

python-oslo.config (1:4.3.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 14:19:17 -0400

python-oslo.config (1:4.2.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:25:54 +0100

python-oslo.config (1:4.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 25 May 2017 11:36:00 +0100

python-oslo.config (1:3.24.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Bump depdendencies.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:37 +0100

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all (>= 3.2),
               python3-pbr (>= 2.0.0),
               python3-setuptools,
               python3-sphinx (>= 1.5.1),
Build-Depends-Indep: bandit,
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-docutils,
                     python-fixtures (>= 3.0.0),
                     python-mimeparse,
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslotest (>= 1.10.0),
                     python-rfc3986 (>= 0.3.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-yaml (>= 3.12),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-docutils,
                     python3-fixtures (>= 3.0.0),
                     python3-mimeparse,
                     python3-mock (>= 2.0),
                     python3-netaddr (>= 0.7.13),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslotest (>= 1.10.0),
                     python3-rfc3986 (>= 0.3.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.12),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
Homepage: https://github.com/openstack/oslo.config
Testsuite: autopkgtest-pkg-python

Package: python-oslo.config
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-docutils,
         python-netaddr (>= 0.7.13),
         python-oslo.i18n (>= 2.1.0),
         python-pbr (>= 2.0.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         python-yaml (>= 3.12),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo.config (>= 1:3.22.0),
Replaces: python-oslo.config (>= 1:3.22.0),
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.config
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-docutils,
         python3-netaddr (>= 0.7.13),
         python3-oslo.i18n (>= 2.1.0),
         python3-pbr (>= 2.0.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         python3-yaml (>= 3.12),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo.config (>= 1:3.22.0),
Replaces: python3-oslo.config (>= 1:3.22.0),
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/oslo.config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.config 5.2.0

=== requirements.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # process, which may cause wedges in the gate later.
 
 debtcollector>=1.2.0 # Apache-2.0
-netaddr!=0.7.16,>=0.7.13 # BSD
-six>=1.9.0 # MIT
+netaddr>=0.7.18 # BSD
+six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
+oslo.i18n>=3.15.3 # Apache-2.0
 rfc3986>=0.3.1 # Apache-2.0
-PyYAML>=3.10.0 # MIT
+PyYAML>=3.10 # MIT

=== debian/changelog ===
python-oslo.config (1:5.2.0-4~bpo9+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Tue, 22 May 2018 11:17:53 +0200

python-oslo.config (1:5.2.0-4) unstable; urgency=medium

  [ Michal Arbet ]
  * Add fix-hostaddress-superclass.patch 
  * Add fix-properly-initialize-hostaddress.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 May 2018 11:15:17 +0200

python-oslo.config (1:5.2.0-3) unstable; urgency=medium

  * Python 3 now has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 20:15:15 +0000

python-oslo.config (1:5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:00:42 +0000

python-oslo.config (1:5.2.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 15:47:46 +0100

python-oslo.config (1:4.11.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:27:17 +0000

python-oslo.config (1:4.11.0-3) experimental; urgency=medium

  * Add missing b-d on python-openstackdocstheme (Closes: #877618).
  * Fixed watch file.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 03:51:30 +0000

python-oslo.config (1:4.11.0-2) experimental; urgency=medium

  * Add missing build-depends: python{3,}-oslotest (Closes: #877253).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Oct 2017 19:04:46 +0000

python-oslo.config (1:4.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Reviewed (build-)depends for this release.
  * test-config-dir-doesnt-exist.patch applied upstream.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 15:18:59 +0000

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all (>= 3.2),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python-coverage,
 python-debtcollector,
 python-docutils,
 python-fixtures,
 python-hacking,
 python-mimeparse,
 python-mock,
 python-netaddr,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslotest (>= 1:2.17.0),
 python-rfc3986,
 python-six,
 python-stevedore (>= 1.20.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-yaml,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-mimeparse,
 python3-mock,
 python3-netaddr,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1:2.17.0),
 python3-rfc3986,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config
Architecture: all
Depends:
 python-debtcollector,
 python-docutils,
 python-netaddr,
 python-oslo.i18n (>= 3.15.3),
 python-pbr (>= 2.0.0),
 python-rfc3986,
 python-six,
 python-stevedore (>= 1.20.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector,
 python3-docutils,
 python3-netaddr,
 python3-oslo.i18n (>= 3.15.3),
 python3-pbr (>= 2.0.0),
 python3-rfc3986,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

## python-oslo.config 6.4.0

=== debian/changelog ===
python-oslo.config (1:6.4.0-0ubuntu2) cosmic; urgency=medium

  * d/p/py3-ensure-iter-list.patch: Ensure ConfigOpts __iter__ uses
    list(d.keys()) as d.keys() no longer returns a copy of keys in py3
    (LP: #1796163).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 Oct 2018 15:52:48 -0400

python-oslo.config (1:6.4.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 15:05:15 -0400

python-oslo.config (1:6.2.1-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * d/control: Add python-enum34 to BD's for py2.
  * d/p/fix-*: Dropped, including in upstream release.

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Tue, 12 Jun 2018 11:37:22 +0100

python-oslo.config (1:5.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:47:17 +0000

python-oslo.config (1:5.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:21:56 +0000

python-oslo.config (1:5.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 14:25:48 +0000

python-oslo.config (1:4.11.0-4ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.
    - d/control: Retain Breaks/Replaces.
    - debian/watch: Use tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 10:27:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.config
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -16,40 +17,46 @@
  python3-all (>= 3.2),
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  bandit,
- python-coverage,
- python-debtcollector,
+ python-coverage (>= 4.0),
+ python-debtcollector (>= 1.2.0),
  python-docutils,
- python-fixtures,
- python-hacking,
+ python-enum34 (>= 1.0.4),
+ python-fixtures (>= 3.0.0),
+ python-hacking (>= 0.12.0),
  python-mimeparse,
- python-mock,
- python-netaddr,
- python-openstackdocstheme (>= 1.17.0),
+ python-mock (>= 2.0.0),
+ python-netaddr (>= 0.7.18),
+ python-openstackdocstheme (>= 1.18.1),
  python-oslo.i18n (>= 3.15.3),
- python-oslotest (>= 1:2.17.0),
- python-rfc3986,
- python-six,
- python-stevedore (>= 1.20.0),
- python-testscenarios,
+ python-oslo.log (>= 3.36.0),
+ python-oslotest (>= 1:3.2.0),
+ python-requests-mock,
+ python-rfc3986 (>= 0.3.1),
+ python-six (>= 1.10.0),
+ python-stevedore (>= 1:1.20.0),
+ python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
- python-yaml,
- python3-debtcollector,
+ python-yaml (>= 3.12),
+ python3-debtcollector (>= 1.2.0),
  python3-docutils,
- python3-fixtures,
+ python3-fixtures (>= 3.0.0),
  python3-mimeparse,
- python3-mock,
- python3-netaddr,
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslotest (>= 1:2.17.0),
- python3-rfc3986,
- python3-six,
- python3-stevedore (>= 1.20.0),
- python3-testscenarios,
+ python3-oslo.log (>= 3.36.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests-mock,
+ python3-rfc3986 (>= 0.3.1),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-yaml,
+ python3-yaml (>= 3.12),
  subunit,
  testrepository,
 Standards-Version: 4.1.3
@@ -60,15 +67,17 @@
 Package: python-oslo.config
 Architecture: all
 Depends:
- python-debtcollector,
+ python-debtcollector (>= 1.2.0),
  python-docutils,
- python-netaddr,
+ python-enum34 (>= 1.0.4),
+ python-netaddr (>= 0.7.18),
  python-oslo.i18n (>= 3.15.3),
  python-pbr (>= 2.0.0),
- python-rfc3986,
- python-six,
- python-stevedore (>= 1.20.0),
- python-yaml,
+ python-requests (>= 2.18.0),
+ python-rfc3986 (>= 0.3.1),
+ python-six (>= 1.10.0),
+ python-stevedore (>= 1:1.20.0),
+ python-yaml (>= 3.12),
  ${misc:Depends},
  ${python:Depends},
 Description: Common code for Openstack Projects (configuration API) - Python 2.x
@@ -98,15 +107,16 @@
 Package: python3-oslo.config
 Architecture: all
 Depends:
- python3-debtcollector,
+ python3-debtcollector (>= 1.2.0),
  python3-docutils,
- python3-netaddr,
+ python3-netaddr (>= 0.7.18),
  python3-oslo.i18n (>= 3.15.3),
  python3-pbr (>= 2.0.0),
- python3-rfc3986,
- python3-six,
- python3-stevedore (>= 1.20.0),
- python3-yaml,
+ python3-requests (>= 2.18.0),
+ python3-rfc3986 (>= 0.3.1),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Description: Common code for Openstack Projects (configuration API) - Python 3.x

## python-oslo.config 6.4.1

=== requirements.txt ===
--- 
+++ 
@@ -8,4 +8,6 @@
 stevedore>=1.20.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 rfc3986>=0.3.1 # Apache-2.0
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
+enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
+requests>=2.18.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
doc8>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:6.4.1-1) unstable; urgency=medium

  * New uptream point release:
    - python3: Ensure ConfigOpts __iter__ uses list(d.keys())

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2018 14:56:14 +0100

python-oslo.config (1:6.4.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fixes FTBFS (Closes: #906405).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 09:20:38 +0200

python-oslo.config (1:6.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - fix-hostaddress-superclass.patch
    - fix-properly-initialize-hostaddress.patch
  * Add remove-skip_warningiserror.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 14:10:31 +0200

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all (>= 3.2),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python-coverage,
 python-debtcollector,
 python-docutils,
 python-enum34,
 python-fixtures,
 python-hacking,
 python-mimeparse,
 python-mock,
 python-netaddr,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslotest (>= 1:3.2.0),
 python-requests (>= 2.18.0),
 python-requests-mock (>= 1.5.0),
 python-rfc3986,
 python-six,
 python-stevedore (>= 1.20.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-yaml,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-mimeparse,
 python3-mock,
 python3-netaddr,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.5.0),
 python3-rfc3986,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config
Architecture: all
Depends:
 python-debtcollector,
 python-docutils,
 python-enum34,
 python-netaddr,
 python-oslo.i18n (>= 3.15.3),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.18.0),
 python-rfc3986,
 python-six,
 python-stevedore (>= 1.20.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector,
 python3-docutils,
 python3-netaddr,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-rfc3986,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/oslo.config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	if PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html ; then \
		echo "Sphinx doc built." ; \
	else \
		echo "Error building doc." ; \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.config/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.config 6.8.1

=== debian/changelog ===
python-oslo.config (1:6.8.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch testrepository/subunit -> stestr.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:02:40 +0000

python-oslo.config (1:6.8.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:20:23 +0000

python-oslo.config (1:6.7.0-0ubuntu3) disco; urgency=medium

  * d/control: Re-add python-openstackdocstheme BD to ease backports.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:02:23 +0000

python-oslo.config (1:6.7.0-0ubuntu2) disco; urgency=medium

  * d/control: python-openstackdocstheme -> python3-openstackdocstheme.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:39:58 +0000

python-oslo.config (1:6.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/py3-ensure-iter-list.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:18:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.config
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -16,50 +17,48 @@
  python3-all (>= 3.2),
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  bandit,
- python-coverage,
- python-debtcollector,
+ python-coverage (>= 4.0),
+ python-debtcollector (>= 1.2.0),
  python-docutils,
- python-enum34,
- python-fixtures,
- python-hacking,
+ python-enum34 (>= 1.0.4),
+ python-fixtures (>= 3.0.0),
+ python-hacking (>= 0.12.0),
  python-mimeparse,
- python-mock,
- python-netaddr,
- python-openstackdocstheme (>= 1.17.0),
+ python-mock (>= 2.0.0),
+ python-netaddr (>= 0.7.18),
+ python-openstackdocstheme (>= 1.18.1),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
  python-oslotest (>= 1:3.2.0),
- python-requests (>= 2.18.0),
- python-requests-mock (>= 1.5.0),
- python-rfc3986,
- python-six,
- python-stevedore (>= 1.20.0),
- python-testscenarios,
+ python-requests-mock,
+ python-rfc3986 (>= 1.2.0),
+ python-six (>= 1.10.0),
+ python-stestr,
+ python-stevedore (>= 1:1.20.0),
+ python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
- python-yaml,
- python3-debtcollector,
+ python-yaml (>= 3.12),
+ python3-debtcollector (>= 1.2.0),
  python3-docutils,
- python3-fixtures,
+ python3-fixtures (>= 3.0.0),
  python3-mimeparse,
- python3-mock,
- python3-netaddr,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslotest (>= 1:3.2.0),
- python3-requests (>= 2.18.0),
- python3-requests-mock (>= 1.5.0),
- python3-rfc3986,
- python3-six,
- python3-stevedore (>= 1.20.0),
- python3-testscenarios,
+ python3-requests-mock,
+ python3-rfc3986 (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr,
+ python3-stevedore (>= 1:1.20.0),
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-yaml,
- subunit,
- testrepository,
+ python3-yaml (>= 3.12),
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
@@ -68,17 +67,17 @@
 Package: python-oslo.config
 Architecture: all
 Depends:
- python-debtcollector,
+ python-debtcollector (>= 1.2.0),
  python-docutils,
- python-enum34,
- python-netaddr,
+ python-enum34 (>= 1.0.4),
+ python-netaddr (>= 0.7.18),
  python-oslo.i18n (>= 3.15.3),
  python-pbr (>= 2.0.0),
  python-requests (>= 2.18.0),
- python-rfc3986,
- python-six,
- python-stevedore (>= 1.20.0),
- python-yaml,
+ python-rfc3986 (>= 1.2.0),
+ python-six (>= 1.10.0),
+ python-stevedore (>= 1:1.20.0),
+ python-yaml (>= 3.12),
  ${misc:Depends},
  ${python:Depends},
 Description: Common code for Openstack Projects (configuration API) - Python 2.x
@@ -108,17 +107,16 @@
 Package: python3-oslo.config
 Architecture: all
 Depends:
- python3-debtcollector,
+ python3-debtcollector (>= 1.2.0),
  python3-docutils,
- python3-netaddr,
+ python3-netaddr (>= 0.7.18),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.18.0),
- python3-rfc3986,
- python3-six,
- python3-stevedore (>= 1.20.0),
- python3-yaml,
+ python3-rfc3986 (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Description: Common code for Openstack Projects (configuration API) - Python 3.x

## python-oslo.config 6.11.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
doc8>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:6.11.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:12:54 +0200

python-oslo.config (1:6.11.1-2) experimental; urgency=medium

  * python3-mock must be (>= 3.0.5).

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 12:19:27 +0200

python-oslo.config (1:6.11.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Drop do-not-run-toplevel-tests.patch.
  * Refresh remove-skip_warningiserror.patch.
  * Add python3-sphinxcontrib.apidoc build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 11:39:57 +0200

python-oslo.config (1:6.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:48:44 +0200

python-oslo.config (1:6.8.1-1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Mark python-oslo.config-doc as Multi-Arch:foreign (from the m-a hinter).

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Do not create alternatives anymore.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 20:34:05 +0100

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all (>= 3.2),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-mimeparse,
 python3-mock (>= 3.0.5),
 python3-netaddr,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.5.0),
 python3-rfc3986 (>= 1.2.0),
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector,
 python3-docutils,
 python3-netaddr,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-rfc3986 (>= 1.2.0),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

## python-oslo.config 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-rfc3986>=0.3.1 # Apache-2.0
+rfc3986>=1.2.0 # Apache-2.0
 PyYAML>=3.12 # MIT
-enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 requests>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:8.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 14:39:59 -0400

python-oslo.config (1:6.12.0-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:03:24 -0500

python-oslo.config (1:6.12.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/t/python-import: Add oslo module import test.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 09:49:10 -0500

python-oslo.config (1:6.11.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:32:09 -0400

python-oslo.config (1:6.11.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/do-not-run-toplevel-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:46:56 -0400

python-oslo.config (1:6.9.0-0ubuntu2) eoan; urgency=medium

  [ James Page ]
  * d/control: Drop runtime dependency on python-oslo.log to avoid
    circulate build dependencies.

  [ Corey Bryant ]
  * d/control, d/tests/*: Add python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:03:46 -0400

python-oslo.config (1:6.9.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/p/remove-skip_warningiserror.patch: Dropped. Not needed in Ubuntu.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Use upstream release tarballs.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jun 2019 15:39:04 -0400

## python-oslo.config 8.0.2

=== debian/changelog ===
python-oslo.config (1:8.0.2-0ubuntu1~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Apr 2020 12:33:11 +0000

python-oslo.config (1:8.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:45:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.config
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -12,35 +13,35 @@
  python3-all (>= 3.2),
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  bandit,
- python3-coverage,
- python3-debtcollector,
+ python3-coverage (>= 4.0),
+ python3-debtcollector (>= 1.2.0),
  python3-docutils,
- python3-fixtures,
- python3-hacking,
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
  python3-mimeparse,
  python3-mock (>= 3.0.5),
- python3-netaddr,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.18.0),
  python3-requests-mock (>= 1.5.0),
  python3-rfc3986 (>= 1.2.0),
- python3-six,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
- python3-stevedore (>= 1.20.0),
- python3-testscenarios,
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.1.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-yaml,
+ python3-yaml (>= 3.12),
  subunit,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
 Homepage: https://github.com/openstack/oslo.config
 
 Package: python-oslo.config-doc
@@ -62,17 +63,17 @@
 Package: python3-oslo.config
 Architecture: all
 Depends:
- python3-debtcollector,
+ python3-debtcollector (>= 1.2.0),
  python3-docutils,
- python3-netaddr,
+ python3-netaddr (>= 0.7.18),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.18.0),
  python3-rfc3986 (>= 1.2.0),
- python3-six,
- python3-stevedore (>= 1.20.0),
- python3-yaml,
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Description: Common code for Openstack Projects (configuration API) - Python 3.x

## python-oslo.config 8.3.2

=== debian/changelog ===
python-oslo.config (1:8.3.2-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 18 Sep 2020 18:58:42 +0000

python-oslo.config (1:8.3.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:34:16 -0400

python-oslo.config (1:8.3.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-unit-tests-with-stevedore.patch: Removed. Landed upstream.
  * d/control: Fix python3-importlib-metadata version.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:11:13 +0000

python-oslo.config (1:8.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-unit-tests-with-stevedore.patch: Upstream patch to fix
    unit tests with newer stevedore library.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:31:41 +0000

python-oslo.config (1:8.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:38:40 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all (>= 3.2),
@@ -21,8 +21,10 @@
  python3-docutils,
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
+ python3-importlib-metadata (>=1.6.0),
  python3-mimeparse,
  python3-mock (>= 3.0.5),
+ python3-mypy (>= 0.720),
  python3-netaddr (>= 0.7.18),
  python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -39,9 +41,9 @@
  python3-testtools (>= 2.2.0),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
 Homepage: https://github.com/openstack/oslo.config
 
 Package: python-oslo.config-doc
@@ -65,6 +67,7 @@
 Depends:
  python3-debtcollector (>= 1.2.0),
  python3-docutils,
+ python3-importlib-metadata (>=1.6.0),
  python3-netaddr (>= 0.7.18),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
